@charset "utf-8";

/* 全局按钮 */
.z-btn-define input[type="button"],
.z-btn-define input[type="submit"],
.z-btn-define input[type="reset"] {
    min-width: 60px;
    height: 32px;
    line-height: 32px;
    padding: 0 12px;
    border-radius: 4px;
    text-align: center;
    color: #1E2228;
    background: #fff;
    border: 1px solid #D9DEE7;
}

.z-btn-define input[type="button"]:hover,
.z-btn-define input[type="submit"]:hover,
.z-btn-define input[type="reset"]:hover {
    background: #D4D4D4;
}

.z-btn-primary {
    background: #1864FF !important;
    color: #FFFFFF !important;
    border: 0 !important;
}

.z-btn-primary:hover {
    background: #1046B3 !important;
}

/*列表的大标题*/
.title {
    width: 100%;
    font-size: 18px;
    padding-top: 10px;
    font-weight: bold;
    margin: 0 0 0 30px;
}

/* 小标题 */
.subtitle {
    width: 98%;
    height: 20px;
    line-height: 20px;
    font-size: 18px;
    padding: 10px 0 10px 0;
    margin: 0 0 0 10px;
}

.z-page-home {
    background-color: #fff;
    max-width: 100%;
    height: auto;
    min-height: 100%;
    overflow: hidden;
    padding: 0 24px;
    box-shadow: inset 0 -1px 0 0 #E8EAEC, inset 0 0 0 0 #E8EAEC;
    border-radius: 8px;
}

.z-page-title {
    width: 100%;
    height: 60px;
    line-height: 60px;
    font-weight: 600;
    font-size: 16px;
    color: #222222;
    text-align: left;
    font-style: normal;
    border-bottom: 1px solid #D9DEE7;
}

.z-page-search {
    display: flex;
    margin-top: 15px;
}

.z-page-search-form {
    display: flex;
    flex-direction: row;
    align-items: baseline;
    padding-top: 16px;
}

.z-page-search-componets {
    flex: 1;
}

.z-page-action {
    display: flex;
    width: 100%;
    height: 32px;
    margin-bottom: 16px;
}

.z-page-action input {
    margin-right: 8px;
}

.z-page-search-fold {
    display: flex;
    align-items: baseline;
    font-weight: 400;
    font-size: 14px;
    margin: 0 16px;
}


.searchTool {
    width: 100%;
    border-radius: 4px;
    margin-bottom: 16px;
    box-sizing: border-box;
}

.searchTool tr {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    /*gap: 16px;*/
    margin-bottom: 16px;
}

.searchTool tr td {
    display: flex;
    overflow: hidden;
    box-sizing: border-box;

    align-items: center;
    height: 32px;
    background-color: #fff;
    width: calc(33.33% - 16px);

    border-radius: 4px;
    padding: 0 12px;
    border: 1px solid #D9DEE7;

    margin-left: 16px;
}

.searchTool .glyphicon {
    /*float: none !important;*/
    /*margin:0 -6px 0 -3px !important;*/
}

.searchTool span {
    border-width: 0;
    /*flex: 1;*/
    /*padding: 0 10px 0 5px;*/
    /*float: left;*/
}

.searchTool .name {
    min-width: max-content;
    font-weight: 400;
    font-size: 14px;
    color: #1E2228;
    line-height: 100%;
    /*text-align: right;*/
    font-style: normal;
}

.searchTool input  {
    width: inherit;
    height: 100%;
    border: 0;
    margin: 0;
    flex: 1;
    background: none;
    color: #86909C;
    font-size: 14px;

}


.searchTool select {
    width: inherit;
    height: 100%;
    border: 0;
    margin: 0;
    flex: 1;
    color: #86909C;
    font-size: 14px;


    appearance: none; /* 隐藏默认下拉箭头 */
    -webkit-appearance: none; /* Safari 和 Chrome */
    -moz-appearance: none; /* Firefox */
    background-image: url('./svg/down.svg');
    background-repeat: no-repeat;
    background-size: 8px;
    background-position: right 10px center;
    padding-right: 30px; /* 为图标留出空间 */

}

.searchTool input:focus,
.searchTool select:focus {
    outline: none;
    border: 0;
    box-shadow: none;
}

.searchTool input[type="submit"] {
    margin-left: 10px;
}

.searchTool input[type="checkbox"],
.searchTool input[type="radio"] {
    width: 1em;
    height: 1em;
}

.searchTool .z-radio {
    display: flex;
    align-items: center;
    font-weight: 400;
    font-size: 14px;
    color: #1E2228;
    line-height: 16px;
    margin-left: 6px;
}

.searchTool .z-radio span {
    margin: 0 4px;
}


.searchTool_name {
    font-size: 14px !important;
    font-weight: bolder;
    padding: 0 10px;
    float: left;
}

/*列表表格*/
.listBox {
    float: left;
    width: 100%;
    margin: 10px 0 0 0px;
}

/*列表表格-按钮*/
.tabDel, .tabEnt {
    height: 22px;
    line-height: 22px;
    display: inline-block;
    padding: 0 10px;
    text-decoration: none !important;
    border-radius: 2px;
    margin: 0 3px;
}

/*输入列表*/
.registerform {
    /*margin: 0 0 0 20px;*/
    padding: 16px 16px 0 16px;
    box-sizing: border-box;
    background-color: #fff;
}

.registerform tr {
}

.registerform td {
    padding: 12px 0;
}

.formName {
    /*display: flex;*/
    /*align-items: center;*/
    /*justify-content: flex-end;*/
    /*height: 44px;*/
    color: #373942;
    font-size: 14px;
}

.formName_gray{
    color: #808080;
    font-size: 14px;
}

.need {
    font-size: 14px;
    color: #FF0005;
}

.Validform_checktip {
    background: #EFF0F4;
    border-radius: 2px;
    color: #C4C8D6;
    float: left;
    left: 15px;
    line-height: 24px;
    margin: 0;
    padding: 0 10px;
    position: relative;
    text-align: left;
}

.Validform_wrong {
    color: #ffffff;
    background: #E92D00;
}

.Validform_right {
    color: #ffffff;
    background: #66CC66;
}

.Validform_error {
    border: 1px solid #E30008 !important;
}

.formNote {
    text-align: left;
    vertical-align: top;
}

.triangle {
    width: 0;
    height: 0;
    line-height: 0;
    border: 5px solid transparent;
    position: absolute;
    top: 6px;
    left: -13px;
    border-right: 8px solid #EFF0F4;
}

.gray {
    color: #999999 !important;
}

/*Form弹出提示*/
#Validform_msg .iframe {
    left: 0;
    position: absolute;
    z-index: -1;
}

#Validform_msg {
    color: #ffffff;
    display: none;
    position: absolute;
    right: 50px;
    top: 50px !important;
    font-size: 14px;
    width: 350px;
    z-index: 99999;
}

#Validform_msg .Validform_title {
    background-color: #000000;
    color: #FFFFFF;
    font-weight: bold;
    padding: 0 8px;
    position: relative;
    text-align: left;
}

#Validform_msg .Validform_info {
    background: url(../img/frame/errorMessage.png) bottom repeat-x;
    padding: 10px 8px;
    text-align: left;
    border-radius: 0px 0px 2px 2px;
}

#Validform_msg a.Validform_close:link, #Validform_msg a.Validform_close:visited {
    color: #FFFFFF;
    line-height: 29px;
    position: absolute;
    right: 8px;
    text-decoration: none;
    top: 0;
}

/*弹出对话框*/
.popupBox {
    position: relative;
    /*min-height: 100%;*/
    box-sizing: border-box;
    /*border: 1px solid #E1E1E1;*/
    /*margin: 15px 0 0 10px;*/
    padding: 0 !important;
    background: #ffffff;

    font-weight: 400;
    font-size: 14px;
}

.popupBox td {
    float: left;
    padding: 6px 0;
}

.popupBox .formName {
    box-sizing: border-box;
    text-align: right;
    font-weight: 400;
    font-size: 14px;
    /*line-height: 32px;*/
    line-height: 1.6;
    color: #222222;
}

.popupBox .formName1 {
    text-align: right;
    font-size: 14px;
    font-weight: 400;
    color: #1D2129;
    font-style: normal;
    padding-right: 12px;
}

.popupBox input[type="button"],
.popupBox input[type="submit"],
.popupBox input[type="reset"] {
    height: 32px;
    border-radius: 4px;
    cursor: pointer;
    padding: 6px 30px;
    margin: 10px 0;
}

.popupBox .btn-primary {
    background: #1864FF !important;
    color: #FFFFFF !important;
}

.popupBox .z-panel-footer {
    display: flex;
    z-index: 10000;
    flex-wrap: wrap;
    align-items: center;
    justify-content: flex-end;
    position: fixed;
    box-sizing: border-box;
    padding-right: 10px;
    /*padding-bottom: 12px;*/
    bottom: 0;
    width: 100%;
    background-color: #fff;
    box-shadow: 0 -4px 10px 0 rgba(0, 0, 0, 0.05);
    border-radius: 0 0 8px 8px;
}

.popupBox .z-panel-content {
    width: 100%;
    height: 100%;
    padding:  8px 20px 64px 20px;
    box-sizing: border-box;
    overflow-y: auto;
}

.popupBox .z-panel-content-additional {
    display: flex;
    flex-direction: column;

}

.popupBox .z-panel-content-view {
    width: 100%;
    height: 100%;
    padding: 20px 0;
    box-sizing: border-box;
    overflow-y: auto;
}

/**/
/* .popupBox label{
	background:#ced6e0;
	border: 1px solid #C4C6CB;
	opacity: 0.9;
    color: #ed0a0f;
    font-size: 10px;
    height: 20px;
    line-height: 20px;
    padding: 0 10px;
    position: absolute;
    margin-top: 2px;
    white-space: nowrap;
    word-break: keep-all;
    word-wrap: normal;
} */

label.error {
    /* remove the next line when you have trouble in IE6 with labels in list */
    /* 	color: red;
        font-style: italic;
        margin-left: 103px;
        width: 220px; */
    /*  	background:#ced6e0;
        border: 1px solid #C4C6CB; */
    opacity: 0.9;
    color: #ed0a0f;
    font-size: 10px;
    /*     height: 20px;
        line-height: 20px;
        padding: 0 2px; */
    position: absolute;
    margin-top: 0px;
    white-space: nowrap;
    word-break: keep-all;
    word-wrap: normal;
}

div.error {
    display: none;
}

input.error,
textarea.error,
select.error {
    border: 1px dotted red;
}

.z-w-full {
    width: 100%;
}

.z-table-pagination {
    display: flex;
    align-items: center;
    justify-content: flex-end;
}

.z-model-no {
    display: flex;
    align-items: center;
    width: 100%;
    height: 32px;
    background: #F1F4F9;
    border-radius: 4px;
    backdrop-filter: blur(23px);
    padding-left: 24px;

    font-weight: 400;
    font-size: 12px;
    color: #515B6E;
    line-height: 22px;
}

.z-model-content {
    box-sizing: border-box;
    background-color: #fff;
    width: 100%;
    padding: 0 24px;
}

.z-model-title {
    font-weight: 500;
    font-size: 16px;
    color: #222222;
    line-height: 16px;
    margin-bottom: 20px;
}

.z-model-home {
    display: flex;
    flex-direction: column;
}

.z-model-tableForm {
    width: 100%;
}

.z-model-tableForm tr td {
    display: flex;
    align-items: center;
    /*justify-content: space-between;*/
    width: calc(33.33%);
}

.z-model-btn {
    /*height: auto;*/
    margin: 0;
    height: 32px;
    /*line-height: 28px;*/
    padding: 0 12px;
    background: rgba(24, 100, 255, 0.09);
    border-radius: 4px;
    border: 1px solid rgba(24, 100, 255, 0.36);

    font-weight: 400;
    font-size: 14px;
    color: #1864FF;
    /*line-height: 20px;*/
}

.z-model-btn-ins {
    display: flex;
    align-items: baseline;
    height: 26px;
    background: #FFFFFF;
    border-radius: 4px;
    border: 1px dashed #D9DEE7;

    font-weight: 400;
    font-size: 12px;
    color: #515B6E;
    line-height: 24px;
    padding: 1px 8px;
}

.z-model-btn-ins:hover {
    color: #fff;
    background-color: #1864FF;
    border-color: #fff;
}

.z-model-theader {
    display: flex;
    align-items: baseline;
    justify-content: space-between;
}